/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * SelectAssaultOptionEqualsTo0
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class SelectAssaultOptionEqualsTo0 {
  @SerializedName("BINNumber")
  private String biNNumber = null;

  @SerializedName("Select_Assault_Option")
  private String selectAssaultOption = null;

  @SerializedName("Description_of_Incident")
  private String descriptionOfIncident = null;

  @SerializedName("Incident_date")
  private LocalDate incidentDate = null;

  @SerializedName("Time_when_did_the_accident_occur")
  private String timeWhenDidTheAccidentOccur = null;

  @SerializedName("Date_of_Birth")
  private LocalDate dateOfBirth = null;

  @SerializedName("Country_Place_if_accident")
  private String countryPlaceIfAccident = null;

  @SerializedName("City_where_did_the_accident_occur")
  private String cityWhereDidTheAccidentOccur = null;

  @SerializedName("Street_where_did_the_accident_occur")
  private String streetWhereDidTheAccidentOccur = null;

  @SerializedName("Withdrawn_Amount")
  private BigDecimal withdrawnAmount = null;

  @SerializedName("Stolen_Amount")
  private BigDecimal stolenAmount = null;

  @SerializedName("Other_insurance_apply")
  private String otherInsuranceApply = null;

  @SerializedName("Other_insurance_company_name")
  private String otherInsuranceCompanyName = null;

  public SelectAssaultOptionEqualsTo0 biNNumber(String biNNumber) {
    this.biNNumber = biNNumber;
    return this;
  }

   /**
   * Get biNNumber
   * @return biNNumber
  **/
  @ApiModelProperty(example = "4001362825", value = "")
  public String getBiNNumber() {
    return biNNumber;
  }

  public void setBiNNumber(String biNNumber) {
    this.biNNumber = biNNumber;
  }

  public SelectAssaultOptionEqualsTo0 selectAssaultOption(String selectAssaultOption) {
    this.selectAssaultOption = selectAssaultOption;
    return this;
  }

   /**
   * Get selectAssaultOption
   * @return selectAssaultOption
  **/
  @ApiModelProperty(example = "0", value = "")
  public String getSelectAssaultOption() {
    return selectAssaultOption;
  }

  public void setSelectAssaultOption(String selectAssaultOption) {
    this.selectAssaultOption = selectAssaultOption;
  }

  public SelectAssaultOptionEqualsTo0 descriptionOfIncident(String descriptionOfIncident) {
    this.descriptionOfIncident = descriptionOfIncident;
    return this;
  }

   /**
   * Get descriptionOfIncident
   * @return descriptionOfIncident
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getDescriptionOfIncident() {
    return descriptionOfIncident;
  }

  public void setDescriptionOfIncident(String descriptionOfIncident) {
    this.descriptionOfIncident = descriptionOfIncident;
  }

  public SelectAssaultOptionEqualsTo0 incidentDate(LocalDate incidentDate) {
    this.incidentDate = incidentDate;
    return this;
  }

   /**
   * Get incidentDate
   * @return incidentDate
  **/
  @ApiModelProperty(example = "2015-02-12", value = "")
  public LocalDate getIncidentDate() {
    return incidentDate;
  }

  public void setIncidentDate(LocalDate incidentDate) {
    this.incidentDate = incidentDate;
  }

  public SelectAssaultOptionEqualsTo0 timeWhenDidTheAccidentOccur(String timeWhenDidTheAccidentOccur) {
    this.timeWhenDidTheAccidentOccur = timeWhenDidTheAccidentOccur;
    return this;
  }

   /**
   * Get timeWhenDidTheAccidentOccur
   * @return timeWhenDidTheAccidentOccur
  **/
  @ApiModelProperty(example = "0", value = "")
  public String getTimeWhenDidTheAccidentOccur() {
    return timeWhenDidTheAccidentOccur;
  }

  public void setTimeWhenDidTheAccidentOccur(String timeWhenDidTheAccidentOccur) {
    this.timeWhenDidTheAccidentOccur = timeWhenDidTheAccidentOccur;
  }

  public SelectAssaultOptionEqualsTo0 dateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
    return this;
  }

   /**
   * Get dateOfBirth
   * @return dateOfBirth
  **/
  @ApiModelProperty(example = "1999-02-12", value = "")
  public LocalDate getDateOfBirth() {
    return dateOfBirth;
  }

  public void setDateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
  }

  public SelectAssaultOptionEqualsTo0 countryPlaceIfAccident(String countryPlaceIfAccident) {
    this.countryPlaceIfAccident = countryPlaceIfAccident;
    return this;
  }

   /**
   * Get countryPlaceIfAccident
   * @return countryPlaceIfAccident
  **/
  @ApiModelProperty(example = "en", value = "")
  public String getCountryPlaceIfAccident() {
    return countryPlaceIfAccident;
  }

  public void setCountryPlaceIfAccident(String countryPlaceIfAccident) {
    this.countryPlaceIfAccident = countryPlaceIfAccident;
  }

  public SelectAssaultOptionEqualsTo0 cityWhereDidTheAccidentOccur(String cityWhereDidTheAccidentOccur) {
    this.cityWhereDidTheAccidentOccur = cityWhereDidTheAccidentOccur;
    return this;
  }

   /**
   * Get cityWhereDidTheAccidentOccur
   * @return cityWhereDidTheAccidentOccur
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getCityWhereDidTheAccidentOccur() {
    return cityWhereDidTheAccidentOccur;
  }

  public void setCityWhereDidTheAccidentOccur(String cityWhereDidTheAccidentOccur) {
    this.cityWhereDidTheAccidentOccur = cityWhereDidTheAccidentOccur;
  }

  public SelectAssaultOptionEqualsTo0 streetWhereDidTheAccidentOccur(String streetWhereDidTheAccidentOccur) {
    this.streetWhereDidTheAccidentOccur = streetWhereDidTheAccidentOccur;
    return this;
  }

   /**
   * Get streetWhereDidTheAccidentOccur
   * @return streetWhereDidTheAccidentOccur
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getStreetWhereDidTheAccidentOccur() {
    return streetWhereDidTheAccidentOccur;
  }

  public void setStreetWhereDidTheAccidentOccur(String streetWhereDidTheAccidentOccur) {
    this.streetWhereDidTheAccidentOccur = streetWhereDidTheAccidentOccur;
  }

  public SelectAssaultOptionEqualsTo0 withdrawnAmount(BigDecimal withdrawnAmount) {
    this.withdrawnAmount = withdrawnAmount;
    return this;
  }

   /**
   * Get withdrawnAmount
   * @return withdrawnAmount
  **/
  @ApiModelProperty(example = "500.0", value = "")
  public BigDecimal getWithdrawnAmount() {
    return withdrawnAmount;
  }

  public void setWithdrawnAmount(BigDecimal withdrawnAmount) {
    this.withdrawnAmount = withdrawnAmount;
  }

  public SelectAssaultOptionEqualsTo0 stolenAmount(BigDecimal stolenAmount) {
    this.stolenAmount = stolenAmount;
    return this;
  }

   /**
   * Get stolenAmount
   * @return stolenAmount
  **/
  @ApiModelProperty(example = "500.0", value = "")
  public BigDecimal getStolenAmount() {
    return stolenAmount;
  }

  public void setStolenAmount(BigDecimal stolenAmount) {
    this.stolenAmount = stolenAmount;
  }

  public SelectAssaultOptionEqualsTo0 otherInsuranceApply(String otherInsuranceApply) {
    this.otherInsuranceApply = otherInsuranceApply;
    return this;
  }

   /**
   * Get otherInsuranceApply
   * @return otherInsuranceApply
  **/
  @ApiModelProperty(example = "No", value = "")
  public String getOtherInsuranceApply() {
    return otherInsuranceApply;
  }

  public void setOtherInsuranceApply(String otherInsuranceApply) {
    this.otherInsuranceApply = otherInsuranceApply;
  }

  public SelectAssaultOptionEqualsTo0 otherInsuranceCompanyName(String otherInsuranceCompanyName) {
    this.otherInsuranceCompanyName = otherInsuranceCompanyName;
    return this;
  }

   /**
   * Get otherInsuranceCompanyName
   * @return otherInsuranceCompanyName
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getOtherInsuranceCompanyName() {
    return otherInsuranceCompanyName;
  }

  public void setOtherInsuranceCompanyName(String otherInsuranceCompanyName) {
    this.otherInsuranceCompanyName = otherInsuranceCompanyName;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SelectAssaultOptionEqualsTo0 selectAssaultOptionEqualsTo0 = (SelectAssaultOptionEqualsTo0) o;
    return Objects.equals(this.biNNumber, selectAssaultOptionEqualsTo0.biNNumber) &&
        Objects.equals(this.selectAssaultOption, selectAssaultOptionEqualsTo0.selectAssaultOption) &&
        Objects.equals(this.descriptionOfIncident, selectAssaultOptionEqualsTo0.descriptionOfIncident) &&
        Objects.equals(this.incidentDate, selectAssaultOptionEqualsTo0.incidentDate) &&
        Objects.equals(this.timeWhenDidTheAccidentOccur, selectAssaultOptionEqualsTo0.timeWhenDidTheAccidentOccur) &&
        Objects.equals(this.dateOfBirth, selectAssaultOptionEqualsTo0.dateOfBirth) &&
        Objects.equals(this.countryPlaceIfAccident, selectAssaultOptionEqualsTo0.countryPlaceIfAccident) &&
        Objects.equals(this.cityWhereDidTheAccidentOccur, selectAssaultOptionEqualsTo0.cityWhereDidTheAccidentOccur) &&
        Objects.equals(this.streetWhereDidTheAccidentOccur, selectAssaultOptionEqualsTo0.streetWhereDidTheAccidentOccur) &&
        Objects.equals(this.withdrawnAmount, selectAssaultOptionEqualsTo0.withdrawnAmount) &&
        Objects.equals(this.stolenAmount, selectAssaultOptionEqualsTo0.stolenAmount) &&
        Objects.equals(this.otherInsuranceApply, selectAssaultOptionEqualsTo0.otherInsuranceApply) &&
        Objects.equals(this.otherInsuranceCompanyName, selectAssaultOptionEqualsTo0.otherInsuranceCompanyName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(biNNumber, selectAssaultOption, descriptionOfIncident, incidentDate, timeWhenDidTheAccidentOccur, dateOfBirth, countryPlaceIfAccident, cityWhereDidTheAccidentOccur, streetWhereDidTheAccidentOccur, withdrawnAmount, stolenAmount, otherInsuranceApply, otherInsuranceCompanyName);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SelectAssaultOptionEqualsTo0 {\n");
    
    sb.append("    biNNumber: ").append(toIndentedString(biNNumber)).append("\n");
    sb.append("    selectAssaultOption: ").append(toIndentedString(selectAssaultOption)).append("\n");
    sb.append("    descriptionOfIncident: ").append(toIndentedString(descriptionOfIncident)).append("\n");
    sb.append("    incidentDate: ").append(toIndentedString(incidentDate)).append("\n");
    sb.append("    timeWhenDidTheAccidentOccur: ").append(toIndentedString(timeWhenDidTheAccidentOccur)).append("\n");
    sb.append("    dateOfBirth: ").append(toIndentedString(dateOfBirth)).append("\n");
    sb.append("    countryPlaceIfAccident: ").append(toIndentedString(countryPlaceIfAccident)).append("\n");
    sb.append("    cityWhereDidTheAccidentOccur: ").append(toIndentedString(cityWhereDidTheAccidentOccur)).append("\n");
    sb.append("    streetWhereDidTheAccidentOccur: ").append(toIndentedString(streetWhereDidTheAccidentOccur)).append("\n");
    sb.append("    withdrawnAmount: ").append(toIndentedString(withdrawnAmount)).append("\n");
    sb.append("    stolenAmount: ").append(toIndentedString(stolenAmount)).append("\n");
    sb.append("    otherInsuranceApply: ").append(toIndentedString(otherInsuranceApply)).append("\n");
    sb.append("    otherInsuranceCompanyName: ").append(toIndentedString(otherInsuranceCompanyName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

